> For the complete documentation index, see [llms.txt](https://docs.dego.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dego.finance/master/token/cross-chain-transfer.md).

# Cross-Chain Transfer

### Contract Addresses:

* DEGO on Solana: BU4eP1vCR99amXKsMXhctX8YpqUa7wbULQ26XaQbazkS
* DEGO on Ethereum: 0x3Da932456D082CBa208FEB0B096d49b202Bf89c8

### ETH to SOL (Ethereum to Solana)

1. Connect your Solana Wallet and MetaMask\
   Make sure both wallets are connected to deBridge.
2. Access the Transfer Link\
   Click this link to begin the transfer from Ethereum to Solana:\
   [ETH to SOL Transfer](https://app.debridge.finance/deport?r=4872\&inputChain=1\&outputChain=7565164\&inputCurrency=0x3Da932456D082CBa208FEB0B096d49b202Bf89c8\&outputCurrency=BU4eP1vCR99amXKsMXhctX8YpqUa7wbULQ26XaQbazkS)
3. Authorize and Initiate the Cross-Chain Transfer\
   Approve the transaction and initiate the cross-chain transfer as prompted.
4. Pay for Gas Fees\
   Cross-chain transfers require on-chain gas fees. The “included gas” is a reward you suggest to keepers for executing the transaction on the destination chain.

***

### SOL to ETH (Solana to Ethereum)

1. Connect your Solana Wallet and MetaMask\
   Ensure both wallets are connected to deBridge.
2. Access the Transfer Link\
   Click this link to start transferring DEGO from Solana back to Ethereum:\
   [SOL to ETH Transfer](https://app.debridge.finance/deport?r=4872\&inputChain=7565164\&outputChain=1\&inputCurrency=BU4eP1vCR99amXKsMXhctX8YpqUa7wbULQ26XaQbazkS\&outputCurrency=0x3Da932456D082CBa208FEB0B096d49b202Bf89c8)
3. Authorize and Complete the Transfer\
   Follow the prompts to approve and complete the transfer.
4. Pay for Gas Fees\
   Cross-chain transfers require on-chain gas fees. The “included gas” is a reward you suggest to keepers for executing the transaction on the destination chain.

<br>

<br>

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dego.finance/master/token/cross-chain-transfer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
